<?php
/* Busqueda de registros de la tabla MST_ClaseSubFamilia redefinidos por el usuario. */
class MST_ClaseSubFamiliaFN extends BaseMST_ClaseSubFamiliaFN
{
    public static function recuperarIdSubFamilia($IdLinea,$IdFamilia)
    {
        //$s_Sql = "SELECT IF( MAX( IdSubFamilia) IS NULL, 1, MAX( IdSubFamilia ) + 1 ) i_Id FROM MST_ClaseSubFamilia WHERE idLinea ='".$IdLinea."' and idfamilia ='".$IdFamilia."';";
        $s_Sql = "SELECT IF( MAX( IdSubFamilia) IS NULL, 1, MAX( IdSubFamilia ) + 1 ) i_Id FROM MST_ClaseSubFamilia;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
    
    public static function selectActivos( $IdLinea=null, $IdFamilia=null )
    {
        $o_MST_ClaseSubFamiliaFN = new MST_ClaseSubFamiliaFN();
        $o_MST_ClaseSubFamiliaFN->setEstado( "A" );
        if( $IdLinea )
        {
            $o_MST_ClaseSubFamiliaFN->setIdLinea( $IdLinea );
        }
        if( $IdFamilia )
        {
            $o_MST_ClaseSubFamiliaFN->setIdFamilia( $IdFamilia );
        }
        $o_MST_ClaseSubFamiliaFN->addOrderBy( MST_ClaseSubFamiliaFN::Descripcion );
        return $o_MST_ClaseSubFamiliaFN->select();
    }
}
?>